// Ein paar Rohrarten als Beispiel
//           B,  H, Dicke
R_30x30 = [ 30, 30, 1.5 ];
R_25x25 = [ 25, 25, 1.5 ];
R_20x20 = [ 20, 20, 1.5 ];

// Beispiel:
// rohr(R_30x30, 100);

// Baut ein Rohr
// art ist ein Array mit den Angaben [Breite, Höhe, Wanddicke]
// laenge ist die Länge in Milimetern
module rohr(art, laenge) {
    breite = art[0];
    hoehe  = art[1];
    dicke  = art[2];
    
    translate([-breite/2, 0, -hoehe/2])
    difference() {
        // Außenwände
        cube([breite, laenge, hoehe]);
        
        // Zu entfernender Innenteil
        translate([dicke/2, 0, dicke/2])
        cube([breite - dicke, laenge, hoehe - dicke]);
    }
    
    echo(str("Rohr: ", breite, "mm X ", hoehe, "mm, ", dicke, " Dicke; Länge ", laenge, "mm"));
}

// Flachstahl-Beispiele
//       Breite, Dicke
FS_30_15 = [ 30, 1.5 ];

// Beispiel:
// flachstahl(FS_30_15, 100);

// Baut flachen Stahl
// art ist ein Array mit den Angaben [Breite, Dicke]
// laenge ist die Länge in Milimetern
module flachstahl(art, laenge) {
    breite = art[0];
    dicke  = art[1];
    
    translate([-breite/2, 0, -dicke/2])
    cube([breite, laenge, dicke]);
}